| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Properties | List of all members
VideoFileProperties Class Reference

The VideoFileProperties class holds the properties of a video file. More...

## Properties
AudioProperties | audioProperties
| Gets extended information about the video file's audio tracks.
Number | duration
| Returns the duration (in milliseconds) of the video.
Number | fourCC
| Returns the four character code that identifies the video format.
Number | frameRate
| Returns the video frame rate in frames per thousand seconds.
Number | height
| Returns the height of the video in pixels.
String | name
| Returns the name of the video file.
Number | parHeight
| Returns the height term of the video's Pixel Aspect Ratio.
Number | parWidth
| Returns the width term of the video's Pixel Aspect Ratio.
Number | width
| Returns the width of the video in pixels.

## Detailed Description

The VideoFileProperties class holds the properties of a video file.

## Property Documentation

AudioProperties audioProperties
| read

Gets extended information about the video file's audio tracks.

Returns
  Returns an array of AudioProperties objects if a video is open in the editor and contains at least one audio track; otherwise, null.